{% load wagtailimages_tags %}
<div class="mb-10 text-center youtube-poster" id="ytVideo{{ self.video_id }}PosterContainer">
  {% image self.poster_image width-720 as img %}
  <img src="{{ img.url }}" alt="{{ img.alt }}" class="w-full object-cover mb-2">
  <small class="font-bold">
    Spuštěním videa dojde k načtení obsahu třetích stran z portálu YouTube.
  </small>
  <i class="ico--youtube text-9xl"></i>
</div>

<div
  class="content-block responsive-object ratio-16-9 mb-10 w-full"
  id="ytVideo{{ self.video_id }}IframeContainer"
  style="display: none"
>

</div>

{# Script, který při kliknutí na poster načte iframe s YouTube videem (v Enhanced Privacy Mode) #}
{# Záměrně je přímo na bloku, protože málokterý článek bude mít více videí a naopak většina článků YT videa nemá #}
<script>
  (function () {
    const posterContainer = document.getElementById('ytVideo{{ self.video_id }}PosterContainer')
    const videoContainer = document.getElementById('ytVideo{{ self.video_id }}IframeContainer')

    posterContainer.onclick = function () {
      videoContainer.innerHTML = '<iframe src="https://www.youtube-nocookie.com/embed/{{ self.video_id }}?autoplay=1" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen ></iframe>'
      videoContainer.style.display = 'block'
      posterContainer.style.display = 'none'
    }
  })()
</script>
